## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASESchemaImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASESchemaImpl

All Implemented Interfaces:
  SybaseASESchema, Schema, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogSchema

    public class SybaseASESchemaImpl

extends org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
implements SybaseASESchema

An implementation of the model object 'Sybase ASE Schema'.

The following features are implemented:

- `Defaults`
- `Rules`
- `Encryption Keys`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`org.eclipse.emf.common.util.EList` `getDefaults()`
`org.eclipse.emf.common.util.EList` `getEncryptionKeys()`
`java.util.List` `getNormalTables()`
`java.util.List` `getProxyTables()`
`org.eclipse.emf.common.util.EList` `getRules()`
`java.util.List` `getSystemAndNormalTable()`
`java.util.List` `getSystemProcedures()`
`java.util.List` `getSystemTables()`
`java.util.List` `getViewTables()`
`java.util.List` `getWebServicesAsTables()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
`basicGetCatalog, basicGetDatabase, basicGetOwner, basicSetCatalog, basicSetDatabase, basicSetOwner, getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getIndices, getOwner, getProcedures, getRoutines, getSequences, getTables, getTriggers, getUDFs, getUserDefinedTypes, setCatalog, setDatabase, setOwner`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Schema
`getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getIndices, getOwner, getProcedures, getRoutines, getSequences, getTables, getTriggers, getUDFs, getUserDefinedTypes, setCatalog, setDatabase, setOwner`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getDefaults

    public org.eclipse.emf.common.util.EList getDefaults()

  Specified by:
    `getDefaults` in interface `SybaseASESchema`
  Returns:
    the value of the 'Defaults' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_Defaults()`, `SybaseASEDefault.getSchema()`

### getRules

    public org.eclipse.emf.common.util.EList getRules()

  Specified by:
    `getRules` in interface `SybaseASESchema`
  Returns:
    the value of the 'Rules' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_Rules()`, `SybaseASERule.getSchema()`

### getEncryptionKeys

    public org.eclipse.emf.common.util.EList getEncryptionKeys()

  Specified by:
    `getEncryptionKeys` in interface `SybaseASESchema`
  Returns:
    the value of the 'Encryption Keys' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_EncryptionKeys()`, `SybaseASEEncryptionKey.getSchema()`

### getWebServicesAsTables

    public java.util.List getWebServicesAsTables()

  Specified by:
    `getWebServicesAsTables` in interface `SybaseASESchema`

### getSystemProcedures

    public java.util.List getSystemProcedures()

  Description copied from interface: `SybaseASESchema`

  Specified by:
    `getSystemProcedures` in interface `SybaseASESchema`

### getNormalTables

    public java.util.List getNormalTables()

  Specified by:
    `getNormalTables` in interface `SybaseASESchema`

### getSystemTables

    public java.util.List getSystemTables()

  Specified by:
    `getSystemTables` in interface `SybaseASESchema`

### getSystemAndNormalTable

    public java.util.List getSystemAndNormalTable()

  Specified by:
    `getSystemAndNormalTable` in interface `SybaseASESchema`

### getProxyTables

    public java.util.List getProxyTables()

  Specified by:
    `getProxyTables` in interface `SybaseASESchema`

### getViewTables

    public java.util.List getViewTables()

  Specified by:
    `getViewTables` in interface `SybaseASESchema`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`

### getDatabase

    public Database getDatabase()

  Description copied from interface: `Schema`
  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Schemas`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getDatabase` in interface `Schema`
  Overrides:
    `getDatabase` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Database' reference.
  See Also:
    `Schema.setDatabase(Database)`, `SQLSchemaPackage.getSchema_Database()`, `Database.getSchemas()`